Bug 1293463 - [RFE] Improve User Experience in Insights when the User is Unauthenticated
Summary: [RFE] Improve User Experience in Insights when the User is Unauthenticated
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Satellite 6
Classification: Red Hat
Component: rubygem-foreman-redhat_access
Version: Unspecified
Hardware: Unspecified
OS: Unspecified
unspecified
high vote
Target Milestone: Unspecified
Assignee: Lindani Phiri
QA Contact: jcallaha
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2015-12-21 19:35 UTC by Keith Robertson
Modified: 2019-09-25 21:17 UTC (History)
5 users (show)

Fixed In Version: rubygem-foreman-redhat_access-1.0.0-1
Doc Type: Enhancement
Doc Text:
Clone Of:
Environment:
Last Closed: 2016-07-27 09:21:53 UTC
Target Upstream Version:


Attachments (Terms of Use)
error message (91.43 KB, image/png)
2016-04-26 18:26 UTC, jcallaha
no flags Details


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2016:1501 normal SHIPPED_LIVE Red Hat Satellite 6.2 Capsule and Server 2016-07-27 12:28:58 UTC

Description Keith Robertson 2015-12-21 19:35:19 UTC
Try not to show a vanilla 4xx page error when the user doesn't have the necessary auth tokens.

Comment 2 Lindani Phiri 2016-02-02 22:22:20 UTC
More actionable message given to user when Insights is disabled for an organization

Comment 5 jcallaha 2016-04-26 18:26:09 UTC
Verified in Satellite 6.2 Beta Snap 9 Compose 2. An appropriate error message is now presented. See below and attached screenshot.

"There was an error retrieving data.
Authentication to the Insights Service failed."

Comment 6 jcallaha 2016-04-26 18:26:32 UTC
Created attachment 1151057 [details]
error message

Comment 10 errata-xmlrpc 2016-07-27 09:21:53 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory, and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2016:1501


Note You need to log in before you can comment on or make changes to this bug.